## feedreader 2.2

=== meson_options.txt ===
option('share-plugins',
        type: 'array',
        choices : ['browser', 'email', 'instapaper', 'pocket', 'telegram', 'twitter', 'wallabag'],
        value : ['browser', 'email', 'instapaper', 'pocket', 'telegram', 'twitter', 'wallabag'],
        description: 'List of share plugins to install'
)
option('backend-plugins',
        type: 'array',
        choices: ['bazqux', 'feedbin', 'feedhq', 'feedly', 'fresh', 'inoreader', 'local', 'oldreader', 'owncloud', 'ttrss'],
        value : ['bazqux', 'feedbin', 'feedhq', 'feedly', 'fresh', 'inoreader', 'local', 'oldreader', 'owncloud', 'ttrss'],
        description: 'List of backend plugins to install'
)

=== debian/changelog ===
feedreader (2.2-1) unstable; urgency=medium

  * Initial release (Closes: #902304).

 -- Ulises Vitulli <dererk@debian.org>  Tue, 24 Jul 2018 18:43:28 -0300

=== debian/control ===
Source: feedreader
Section: net
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org> 
Build-Depends: 	
 cmake (>= 2.8),
 debhelper (>= 11),
 help2man,
 libcurl4-openssl-dev | libcurl-dev,
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libgoa-1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 libnotify-dev,
 libpeas-dev,
 librest-dev,
 libsecret-1-dev,
 libsoup2.4-dev,
 libsqlite3-dev,
 libwebkit2gtk-4.0-dev,
 meson,
 valac (>= 0.26),
Standards-Version: 4.1.5.0
Homepage: https://jangernert.github.io/FeedReader/
Vcs-Git: https://salsa.debian.org/debian/FeedReader.git
Vcs-Browser: https://salsa.debian.org/debian/FeedReader

Package: feedreader
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple client for online RSS services like tt-rss and others
 Modern desktop application designed to complement existing web-based RSS
 accounts.
 .
 FeedReader combines all the advantages of web based services like
 synchronisation across all your devices with everything you expect from a
 modern desktop application.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# nasty workaround to be able to run help2man from currently being built binary
	LD_LIBRARY_PATH=$LD_LIBRARY_PATH:debian/feedreader/usr/lib/${DEB_HOST_MULTIARCH} \
					/usr/bin/help2man debian/feedreader/usr/bin/feedreader > debian/feedreader.1
	# fix some parsing issues with help2man
	sed -i 's/Version:/feedreader/gi' debian/feedreader.1
	sed -i 's/manual page for .*/modern rss reader application/' debian/feedreader.1
	# insert Keywords on runtime generated .desktop file
	sed -i 's@^Type=@Keywords=RSS;Feeds;Reader;News;\nType=@' \
					debian/feedreader/usr/share/applications/org.gnome.FeedReader.desktop

override_dh_auto_test:

## feedreader 2.2.1

=== debian/changelog ===
feedreader (2.2.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Add minimum version 0.45~  and 0.30~ for meson and valac B-Ds.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Aug 2018 15:02:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: feedreader
 Section: net
 Priority: optional
-Maintainer: Ulises Vitulli <dererk@debian.org> 
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ulises Vitulli <dererk@debian.org> 
 Build-Depends: 	
  cmake (>= 2.8),
- debhelper (>= 11),
+ debhelper (>= 11~),
  help2man,
  libcurl4-openssl-dev | libcurl-dev,
  libgee-0.8-dev,
@@ -21,8 +22,8 @@
  libsoup2.4-dev,
  libsqlite3-dev,
  libwebkit2gtk-4.0-dev,
- meson,
- valac (>= 0.26),
+ meson (>= 0.45~),
+ valac (>= 0.30~),
 Standards-Version: 4.1.5.0
 Homepage: https://jangernert.github.io/FeedReader/
 Vcs-Git: https://salsa.debian.org/debian/FeedReader.git

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 					debian/feedreader/usr/share/applications/org.gnome.FeedReader.desktop
 
 override_dh_auto_test:
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## feedreader 2.7.1

=== debian/changelog ===
feedreader (2.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:01:01 +0800

feedreader (2.7.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix bugs when adding, renaming or deleting article tags.
    - Change db logic to fix thread safety issues, prevent a bunch of crashes.
    - Fix version numbers.
    - Fix a crash in the article list.
    - More translations.
  * Remove local patch place_appdata_on_proper_metadata_info_dir.patch,
    addopted upstream.
  * Bump up standard versions (no changes required).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 08 Feb 2019 11:37:47 -0300

feedreader (2.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #915502).
  * Updated copyright files to reflect redistribution changes.
  * Refreshed local patch on typos.
  * Bump up standard versions (no changes required).
  * Added debian watch file.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 04 Jan 2019 09:23:27 -0300

feedreader (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump up standard versions (no changes required).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 21 Sep 2018 10:27:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: feedreader
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Ulises Vitulli <dererk@debian.org> 
-Build-Depends: 	
+Maintainer: Ulises Vitulli <dererk@debian.org>
+Build-Depends:
  cmake (>= 2.8),
- debhelper (>= 11~),
+ debhelper (>= 11),
  help2man,
  libcurl4-openssl-dev | libcurl-dev,
  libgee-0.8-dev,
@@ -14,6 +13,7 @@
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
  libgtk-3-dev,
+ libgumbo-dev,
  libjson-glib-dev,
  libnotify-dev,
  libpeas-dev,
@@ -22,9 +22,9 @@
  libsoup2.4-dev,
  libsqlite3-dev,
  libwebkit2gtk-4.0-dev,
- meson (>= 0.45~),
- valac (>= 0.30~),
-Standards-Version: 4.1.5.0
+ meson,
+ valac (>= 0.26),
+Standards-Version: 4.3.0.1
 Homepage: https://jangernert.github.io/FeedReader/
 Vcs-Git: https://salsa.debian.org/debian/FeedReader.git
 Vcs-Browser: https://salsa.debian.org/debian/FeedReader

## feedreader 2.10.0

=== Makefile ===
default: build

builddir:
	meson builddir

build: builddir
	ninja -C builddir

install: build
	ninja -C builddir install

uninstall:
	ninja -C builddir uninstall

test: build
	ninja -C builddir test

.PHONY: build install uninstall test

=== meson_options.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 )
 option('backend-plugins',
         type: 'array',
-        choices: ['bazqux', 'feedbin', 'feedhq', 'feedly', 'fresh', 'inoreader', 'local', 'oldreader', 'owncloud', 'ttrss'],
-        value : ['bazqux', 'feedbin', 'feedhq', 'feedly', 'fresh', 'inoreader', 'local', 'oldreader', 'owncloud', 'ttrss'],
+        choices: ['bazqux', 'decsync', 'feedbin', 'feedhq', 'feedly', 'fresh', 'inoreader', 'local', 'oldreader', 'owncloud', 'ttrss'],
+        value : ['bazqux', 'decsync', 'feedbin', 'feedhq', 'feedly', 'fresh', 'inoreader', 'local', 'oldreader', 'owncloud', 'ttrss'],
         description: 'List of backend plugins to install'
 )

=== debian/changelog ===
feedreader (2.10.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream commit. closes: #951986 
    0002-Fix-infinite-loading-icon-after-opening-article-in-b.patch

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 14 Apr 2020 14:16:14 +0200

feedreader (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed local patches.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 21 Jul 2019 08:34:34 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ulises Vitulli <dererk@debian.org>
 Build-Depends:
  cmake (>= 2.8),
- debhelper (>= 11),
+ debhelper (>= 12),
  help2man,
  libcurl4-openssl-dev | libcurl-dev,
  libgee-0.8-dev,
@@ -24,7 +24,7 @@
  libwebkit2gtk-4.0-dev,
  meson,
  valac (>= 0.26),
-Standards-Version: 4.3.0.1
+Standards-Version: 4.4.0
 Homepage: https://jangernert.github.io/FeedReader/
 Vcs-Git: https://salsa.debian.org/debian/FeedReader.git
 Vcs-Browser: https://salsa.debian.org/debian/FeedReader

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,11 @@
 	# insert Keywords on runtime generated .desktop file
 	sed -i 's@^Type=@Keywords=RSS;Feeds;Reader;News;\nType=@' \
 					debian/feedreader/usr/share/applications/org.gnome.FeedReader.desktop
+	
+	rm $(CURDIR)/debian/feedreader/usr/share/feedreader/GrabberConfig/.gitattributes
+	rm $(CURDIR)/debian/feedreader/usr/share/feedreader/GrabberConfig/.gitignore
+	rm $(CURDIR)/debian/feedreader/usr/share/feedreader/GrabberConfig/LICENSE.txt
+	rm $(CURDIR)/debian/feedreader/usr/share/feedreader/GrabberConfig/README.md
+
 
 override_dh_auto_test:
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/jangernert/FeedReader/releases .*/v?(\d\S*)\.tar\.gz
